%global        srcname diff-match-patch
%global        desc The Diff Match and Patch libraries offer robust algorithms to perform the \
operations required for synchronizing plain text.

Name:          python-%{srcname}
Version:       20121119
Release:       3%{?dist}
Summary:       Algorithms for synchronzing plain text

License:       ASL 2.0
URL:           https://pypi.python.org/pypi/diff-match-patch/
Source0:       https://pypi.python.org/packages/source/d/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: python2-devel
BuildRequires: python3-devel

%description
%{desc}

%package -n python2-%{srcname}
Summary:       %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{desc}

%package -n python3-%{srcname}
Summary:       %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{desc}


%prep
%setup -n %{srcname}-%{version}
# Remove shebangs.
for script in python{2,3}/diff_match_patch/diff_match_patch{,_test}.py ; do
    %{__sed} -i.orig -e 1d ${script}
    touch -r ${script}.orig ${script}
    %{__rm} ${script}.orig
done


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
%{__python2} setup.py test
%{__python3} setup.py test


%files -n python2-%{srcname}
%doc CHANGES.rst
%license LICENCE
%{python2_sitelib}/diff_match_patch*

%files -n python3-%{srcname}
%doc CHANGES.rst
%license LICENCE
%{python3_sitelib}/diff_match_patch*


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20121119-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20121119-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Sep 27 2016 David King <amigadave@amigadave.com> - 20121119-1
- Initial Fedora packaging (#1379778)
